You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2005-09-05 17:19:34

fmdm
Guest
Registered: 2005-09-05
Posts: 13

Problème choix install/maj

Bonjour, je suis en train de tester glpi, qui m'a l'air très bien, mais j'ai le problème suivant à l'installation sur une debian:
A la sélection de l'installation ou mise à jour, je n'ai que deux carrés vides pour la sélection. Voici une capture d'écran:
http://www.mde-nancy.org/etape2.jpg
J'utilise apache 1.3.33, php 4.3.10 et mysql 4.1.13
En essayant avec un easyphp, je n'ai aucun problème, j'ai retéléchargé les archives plusieurs fois, le problème est là avec les versions 0.51 et 0.6.
Voilà merci d'avance !

Offline

#2 2005-09-05 18:06:48

JMD
GLPI - Lead
Registered: 2004-09-13
Posts: 9,180
Website

Re: Problème choix install/maj

Curieux, visiblement l'install ne trouve pas les fichiers de langue.

Vérifiez que vous avez bien les fichiers de langue dans /dicts


JMD / Jean-Mathieu Doléans - Glpi-project.org - Association Indepnet
Apportez votre pierre au  projet GLPI   : Soutenir     Contribuer

Offline

#3 2005-09-05 19:08:47

aurel
Guest
From: France
Registered: 2004-09-23
Posts: 1,248

Re: Problème choix install/maj

sur quelle version de debian tournez vous ?


Prod (Vmware) Debian 7.0 - GLPI 0.85.4 , plugin FusionInventory 0.85+1.1, Agent Fusioninventory v2.3.8
Pré Prod (Vmware) Debian 7.0 - GLPI 0.84.3 , plugin FusionInventory 0.84+1.2, Agent Fusioninventory v2.3.6

Offline

#4 2005-09-06 10:04:41

fmdm
Guest
Registered: 2005-09-05
Posts: 13

Re: Problème choix install/maj

Je viens de vérifier, et j'ai bien un répertoire glpi/dicts, avec les fichiers de langue à l'intérieur.
Je tourne pour le moment sur une debian en unstable.

Offline

#5 2005-09-06 10:12:05

aurel
Guest
From: France
Registered: 2004-09-23
Posts: 1,248

Re: Problème choix install/maj

j'ai teste sur une debian stable (sarge) voir rubrique divers, sur une testing et je n'ai pas eu ce probleme. je pourrais en deduire que c'est un probleme avec SID meme si à mon avis ce n'est pas ça. Vérifie l'appartenance des fichiers et/ou les droits.

@+


Prod (Vmware) Debian 7.0 - GLPI 0.85.4 , plugin FusionInventory 0.85+1.1, Agent Fusioninventory v2.3.8
Pré Prod (Vmware) Debian 7.0 - GLPI 0.84.3 , plugin FusionInventory 0.84+1.2, Agent Fusioninventory v2.3.6

Offline

#6 2005-09-06 10:18:23

JMD
GLPI - Lead
Registered: 2004-09-13
Posts: 9,180
Website

Re: Problème choix install/maj

J'utilise GLPI sur une SID et je l'installe / desinstalle régulièrement sans pb.


JMD / Jean-Mathieu Doléans - Glpi-project.org - Association Indepnet
Apportez votre pierre au  projet GLPI   : Soutenir     Contribuer

Offline

#7 2005-09-06 17:50:56

aurel
Guest
From: France
Registered: 2004-09-23
Posts: 1,248

Re: Problème choix install/maj

je le savais tongue , par contre si ce n'est pas un probleme de droit je ne vois pas d'ou cela peut bien venir


Prod (Vmware) Debian 7.0 - GLPI 0.85.4 , plugin FusionInventory 0.85+1.1, Agent Fusioninventory v2.3.8
Pré Prod (Vmware) Debian 7.0 - GLPI 0.84.3 , plugin FusionInventory 0.84+1.2, Agent Fusioninventory v2.3.6

Offline

#8 2005-09-06 18:02:43

JMD
GLPI - Lead
Registered: 2004-09-13
Posts: 9,180
Website

Re: Problème choix install/maj

La dernière fois qu'on nous a reporté ce problème. Il manquait des fichiers  (mauvais décompacteur).


JMD / Jean-Mathieu Doléans - Glpi-project.org - Association Indepnet
Apportez votre pierre au  projet GLPI   : Soutenir     Contribuer

Offline

#9 2005-09-07 09:57:29

fmdm
Guest
Registered: 2005-09-05
Posts: 13

Re: Problème choix install/maj

Et bien au début j'utilisais winrar, puis après j'ai utilisé 7-zip, mais toujours le même résultat ........
le plus étrange et qu'en utilisant les mêmes fichiers, je n'ai pas le même résultat sous easyphp et sous un serveur sous linux ....

Offline

#10 2005-09-07 10:34:50

JMD
GLPI - Lead
Registered: 2004-09-13
Posts: 9,180
Website

Re: Problème choix install/maj

A mon avis cela provient du fait que vous décompactiez sous Windows et que vous baculiez le tout sous nux aprés.

Il est possible que vous perdiez des fichiers au passage ou surtout que vous perdiez la casse des noms de fichiers. Et dans ce cas il est normal que cela ne fonctionne pas.


JMD / Jean-Mathieu Doléans - Glpi-project.org - Association Indepnet
Apportez votre pierre au  projet GLPI   : Soutenir     Contribuer

Offline

#11 2005-09-07 10:56:52

fmdm
Guest
Registered: 2005-09-05
Posts: 13

Re: Problème choix install/maj

Je viens de tester en décompactant directement l'archive avec tar sur le serveur, et j'ai exactement la même chose sad

Offline

#12 2005-09-07 13:16:39

JMD
GLPI - Lead
Registered: 2004-09-13
Posts: 9,180
Website

Re: Problème choix install/maj

Alors là.... je pige pas.

Au harsar et sans grande conviction : editez voter php.ini et mettez memory_limit=16M

au lieu de 8M


Des fois ça a suffit pour résoudre le pb.

Sinon je vois pas.

Il faudrait peut-être checker le forum pour voir s'il n'y a pas un thread traitant de la meme chose.


JMD / Jean-Mathieu Doléans - Glpi-project.org - Association Indepnet
Apportez votre pierre au  projet GLPI   : Soutenir     Contribuer

Offline

#13 2005-09-07 13:23:30

baaz
Guest
Registered: 2004-09-13
Posts: 513

Re: Problème choix install/maj

Je sais pas si ça a qq chose a voir mais j'ai actuellement qq's soucis sur unstable pour faire tourner correctement un apache/php/mysql.

Par contre aucuns problemes à déplorer sur stable.


Bazile Lebeau

Offline

#14 2005-09-12 14:40:38

fmdm
Guest
Registered: 2005-09-05
Posts: 13

Re: Problème choix install/maj

Mon memory_limit était déjà à 16Mo, et j'avais fais une recherche sur le forum, sans rien trouver de vraiment concluant.

Offline

#15 2005-09-12 14:48:49

baaz
Guest
Registered: 2004-09-13
Posts: 513

Re: Problème choix install/maj

Etes vous sur que votre serveur mysql fonctionne correctement ?
Avez vous des messages d'erreur quand vous effectuez : "/etc/init.d/mysql restart"


Bazile Lebeau

Offline

#16 2005-09-12 15:25:17

fmdm
Guest
Registered: 2005-09-05
Posts: 13

Re: Problème choix install/maj

Oui oui; le serveur me sert pour tester un site web, et tout tourne parfaitement.

Offline

#17 2005-09-12 20:15:32

JMD
GLPI - Lead
Registered: 2004-09-13
Posts: 9,180
Website

Re: Problème choix install/maj

Je ne vois pas du tout là.

Il faudrait trouver pourquoi il ne charge pas le fichier de langue.


JMD / Jean-Mathieu Doléans - Glpi-project.org - Association Indepnet
Apportez votre pierre au  projet GLPI   : Soutenir     Contribuer

Offline

#18 2005-09-12 20:40:26

MoYo
GLPI - Lead
From: Poitiers
Registered: 2004-09-13
Posts: 14,513
Website

Re: Problème choix install/maj

pour que l'on ai plus d'information essayez de commenter la ligne 37 du fichier install.php :
vous devriez obtenir :
// error_reporting(0)


MoYo - Julien Dombre - Association INDEPNET
Contribute to GLPI :    Support     Contribute     References     Freshmeat

Offline

#19 2005-09-13 09:52:59

fmdm
Guest
Registered: 2005-09-05
Posts: 13

Re: Problème choix install/maj

Je viens de le faire, et aucun changement .........
Je pense que je vais réinstaller mon serveur avec une sarge, vu que comme c'est un serveur de tests, il a quand même été un peu malmené.

Offline

#20 2005-09-13 09:57:26

MoYo
GLPI - Lead
From: Poitiers
Registered: 2004-09-13
Posts: 14,513
Website

Re: Problème choix install/maj

Ok tenez nous au courant.


MoYo - Julien Dombre - Association INDEPNET
Contribute to GLPI :    Support     Contribute     References     Freshmeat

Offline

#21 2006-03-01 16:58:50

fmdm
Guest
Registered: 2005-09-05
Posts: 13

Re: Problème choix install/maj

Désolé de remonter ce sujet, mais après une réinstallation sur une Debian sarge avec php 4.3.10, mysql 4.1.11 et apache 1.3.33, j'ai toujours exactement le même souci !
Ca fait pareil avec la version cvs d'aujourd'hui.
Je ne comprend vraiment pas .....

Offline

#22 2006-03-01 22:09:00

aurel
Guest
From: France
Registered: 2004-09-23
Posts: 1,248

Re: Problème choix install/maj

Le tuto sous debian c'est moi qui l'a fait tongue et je peux t'assurer que ça fonctionne par contre j'ai fait les tests avec Apache 2  alors est ce que ça peut venir de là aucune idée maus essaye pour voir.


Prod (Vmware) Debian 7.0 - GLPI 0.85.4 , plugin FusionInventory 0.85+1.1, Agent Fusioninventory v2.3.8
Pré Prod (Vmware) Debian 7.0 - GLPI 0.84.3 , plugin FusionInventory 0.84+1.2, Agent Fusioninventory v2.3.6

Offline

#23 2006-03-02 01:27:34

JMD
GLPI - Lead
Registered: 2004-09-13
Posts: 9,180
Website

Re: Problème choix install/maj

Franchement, j'ai une débian et je réinstalle GLPI plusieurs fois par semaine pour dev, test etc...

Et la seule explication que je vois à votre problème : c'est que GLPI ne trouve pas les fichiers de langue, s'il ne les trouve pas c'est qu'il vous manque des fichiers :

- soit  les fameux fichiers siteroot.php et _relpos.php situés à la racine

- soit les fichiers de langues qui se trouvent dans glpi/dicts

Vous avez ça ??


JMD / Jean-Mathieu Doléans - Glpi-project.org - Association Indepnet
Apportez votre pierre au  projet GLPI   : Soutenir     Contribuer

Offline

#24 2006-03-02 01:50:05

MoYo
GLPI - Lead
From: Poitiers
Registered: 2004-09-13
Posts: 14,513
Website

Re: Problème choix install/maj

soit un problème de droit sur ces fichiers


MoYo - Julien Dombre - Association INDEPNET
Contribute to GLPI :    Support     Contribute     References     Freshmeat

Offline

#25 2006-03-02 09:20:01

aurel
Guest
From: France
Registered: 2004-09-23
Posts: 1,248

Re: Problème choix install/maj

bon allez file nous un acces ssh sur ton PC ça ira plus vite smile


Prod (Vmware) Debian 7.0 - GLPI 0.85.4 , plugin FusionInventory 0.85+1.1, Agent Fusioninventory v2.3.8
Pré Prod (Vmware) Debian 7.0 - GLPI 0.84.3 , plugin FusionInventory 0.84+1.2, Agent Fusioninventory v2.3.6

Offline

Board footer

Powered by FluxBB